#!/bin/sh

# PCMCIA
/sbin/pccardctl eject

# CLOCK
/etc/init.d/clock sync

###
sync
echo -n mem > /sys/power/state
###

# PCMCIA
/sbin/pccardctl insert

# CLOCK
/etc/init.d/clock start

# SOUND
if [ -d /proc/asound ]; then
	/usr/sbin/alsactl power off >/dev/null 2>&1
	/usr/sbin/alsactl power on >/dev/null 2>&1
fi

exit 0
